package com.dxhy.manage.thread;

import com.dxhy.manage.entity.SysDeptEntity;
import com.dxhy.manage.model.BlocDataModel;

import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;

/**
 * @author jiaohongyang
 */

public class BlocHandler implements Callable<BlocDataModel> {

    private BlocThread task = new BlocThread();

    public BlocHandler(SysDeptEntity entity, Map<String, String> params) {
        this.task.sysDeptEntity = entity;
        this.task.params = params;
    }

    @Override
    public BlocDataModel call() {
        return task.start();
    }

}
